Subject: Display on Nokia N950 was Re: Serial cable N9

From: [email-masked] (Pavel Machek)
Date: Wed, 1 Nov 2017 22:46:18 +0100

Hi!

> > For the record, display does not work for me in 4.14 on either n9 or
> > n950. I did not investigate that, yet.
> 
> On v4.13 framebuffer console works OK (I haven't tested anything more in
> fact), but somewhere between v4.13 and v4.14-rc1 there is a commit that
> breaks things - my best guess at this time after a partial git bisect is
> that 906dde0f355bd97c080c215811ae7db1137c4af8 is the one to look at.

Confirmed. Reverting the merge (as far as it can be reverted) gets me
booting N950 with working display. (With 906dde applied, backlight
goes turns on, so it looks like display driver is initialized, but
then machine is killed, probably by watchdog).

AFAICT N950 display never worked on mainline; I'm using Sebastian's
patches to get it to work.

Linux n900 4.14.0-rc7-28884-gdf7c8f0-dirty #283 Wed Nov 1 22:31:35 CET
2017 armv7l GNU/Linux

Filip did all the work here, thanks!
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20171101/3486b3ec/attachment.sig>